> For the complete documentation index, see [llms.txt](https://docs.nexthink.com/platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nexthink.com/platform/ja/understanding-key-data-platform-concepts/nexthink-query-language-nql/nql-functions/nql-count.md).

# NQL count()

`count()` 関数はユニークなオブジェクトや特定のイベントの数を返します。

## ‘compute’句を使用する <a href="#nqlcount-usingwiththecomputeclause" id="nqlcount-usingwiththecomputeclause"></a>

### オブジェクトの場合: <a href="#nqlcount-forobjects" id="nqlcount-forobjects"></a>

ユニークなオブジェクトの数を返します。

{% code overflow="wrap" lineNumbers="true" %}

```
デバイス 過去7日間
| include execution.events 過去7日間
| compute number_of_devices = device.count()
```

{% endcode %}

### 特定のイベントの場合: <a href="#nqlcount-forpunctualevents" id="nqlcount-forpunctualevents"></a>

オブジェクトごとのイベント数を計算します。

{% code overflow="wrap" lineNumbers="true" %}

```
デバイス 過去7日間
| include execution.crashes 過去7日間
| compute number_of_crashes_ = count()
```

{% endcode %}

### サンプリングしたイベントの場合: <a href="#nqlcount-forsampledevents" id="nqlcount-forsampledevents"></a>

サンプリングされたイベントに`count()`関数を使用することは推奨されません。なぜなら実際のイベント数ではなくデータサンプルの数を返すからです。

## ‘summarize’句を使用する <a href="#nqlcount-usingwiththesummarizeclause" id="nqlcount-usingwiththesummarizeclause"></a>

`summarize`句とともに使用されると、`count()` 関数は常にルートテーブル内のレコード数を返します。

### オブジェクトの場合: <a href="#nqlcount-forobjects-.1" id="nqlcount-forobjects-.1"></a>

オブジェクトの数を返します。

{% code overflow="wrap" lineNumbers="true" %}

```
デバイス 過去7日間
| summarize c1 = count()
```

{% endcode %}

### 特定のイベントの場合: <a href="#nqlcount-forpunctualevents-.1" id="nqlcount-forpunctualevents-.1"></a>

イベントの数を返します。

{% code overflow="wrap" lineNumbers="true" %}

```
execution.crashes 過去7日間
| summarize c1 = number_of_crashes.count()
```

{% endcode %}

以下のクエリはルートテーブル（この場合、デバイス）のレコードの数を返します。ユニークなイベントの数ではありません。 イベントを数えるには、代わりに‘summarize’句の中で`sum()`関数を使用してください。

{% code overflow="wrap" lineNumbers="true" %}

```
デバイス 過去7日間
| include execution.crashes 過去7日間
| compute number_of_crashes_ = number_of_crashes.count()
| summarize c1 = number_of_crashes_.count()
```

{% endcode %}

### サンプリングしたイベントの場合: <a href="#nqlcount-forsampledevents-.1" id="nqlcount-forsampledevents-.1"></a>

サンプリングされたイベントに`count()`関数を使用することは推奨されません。なぜなら実際のイベント数ではなくデータサンプルの数を返すからです。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nexthink.com/platform/ja/understanding-key-data-platform-concepts/nexthink-query-language-nql/nql-functions/nql-count.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
